Bug 537243 - preupgrade should suggest methods to find enough space /boot
preupgrade should suggest methods to find enough space /boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 16:49 EST by Alexander Boström
Modified: 2014-01-21 18:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Boström 2009-11-12 16:49:07 EST
Many machines have a default /boot of 200MB or even less, which currently makes it hard to complete a preupgrade.

There are various things that can be done to mitigate the problems, such as:

1. Suggest the removal of all kernels that are older than the currently running kernel.
2. tune2fs -r 0
3. Do something about /boot/upgrade/install.img

https://bugzilla.redhat.com/show_bug.cgi?id=530541#c6
Comment 1 Bug Zapper 2009-11-16 10:29:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Clasen 2010-03-04 18:51:34 EST
This will still be a serious problem going from F12 to F13.

I just did

1. Install from F12 desktop live cd
2. Update the system fully
3. Run preupgrade

Result:

/boot fills up, upgrade fails
Comment 3 Fedora Admin XMLRPC Client 2010-04-16 10:34:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Jens Petersen 2010-04-30 02:55:32 EDT
(In reply to comment #2)
> This will still be a serious problem going from F12 to F13.

Right but see bug 573451 and note that preupgrade still
supports downloading install.img at boot time. :)
Comment 5 Bug Zapper 2010-11-04 02:27:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 22:20:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.